From 567ae142b9584ed015d1e2e2b9f7798da747a308 Mon Sep 17 00:00:00 2001
From: Mirko Vukovic <mirko.vukovic@gmail.com>
Date: Tue, 24 Nov 2015 17:33:32 -0500
Subject: [PATCH] Fixed typo in permutation.lisp

Because of typo, GSLL did not have access to GSL_PERMUTE_VECTOR

Another typo had duplicated code.  Deleted that chunk of code.
---
 data/permutation.lisp | 20 ++------------------
 1 file changed, 2 insertions(+), 18 deletions(-)

diff --git a/data/permutation.lisp b/data/permutation.lisp
index 46967ed..7bb6399 100644
--- a/data/permutation.lisp
+++ b/data/permutation.lisp
@@ -1,6 +1,6 @@
 ;; Permutations
 ;; Liam Healy, Sun Mar 26 2006 - 11:51
-;; Time-stamp: <2014-12-08 23:19:56EST permutation.lisp>
+;; Time-stamp: <2015-11-24 17:32:38Eastern Standard Time permutation.lisp>
 ;;
 ;; Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2014 Liam M. Healy
 ;; Distributed under the terms of the GNU General Public License
@@ -202,7 +202,7 @@
 ;;;; Applying Permutations
 ;;;;****************************************************************************
 
-(defmfun permute ((p permutation) (v vector) &optional size stride)
+(defmfun permute-vector ((p permutation) (v vector) &optional size stride)
   ("gsl_permute_vector" :type)
   (((mpointer p) :pointer) ((mpointer v) :pointer))
   :definition :generic
@@ -230,22 +230,6 @@
    size n with stride stride.")
 
 (defmfun permute-inverse
-    ((p permutation) (v vector) &optional size stride)
-  ("gsl_permute_vector" :type "_inverse")
-  (((mpointer p) :pointer) ((mpointer v) :pointer))
-  :definition :generic
-  :inputs (p v)
-  :outputs (v)
-  :return (v)
-  :documentation			; FDL
-  "Apply the permutation p to the elements of the
-   vector v considered as a row-vector acted on by a permutation
-   matrix from the right, v' = v P.  The jth column of the
-   permutation matrix P is given by the p_j-th column of the
-   identity matrix. The permutation p and the vector v must
-   have the same length.")
-
-(defmfun permute-inverse
     (p (data #.grid:+foreign-pointer-class+) &optional (size 1) (stride 1))
   "gsl_permute_inverse"
   (((mpointer p) :pointer) (data :pointer) (stride :sizet) (stride :sizet))
-- 
2.6.3

